Changeset 19810

Show
Ignore:
Timestamp:
11.06.2009 17:09:45 (10 years ago)
Author:
davidb
Message:

test for JAVA and JAVAC failing for some reason, when JAVA is there. Commenting out for now

Location:
indexers/trunk
Files:
2 modified

Legend:

Unmodified
Added
Removed
  • indexers/trunk/configure

    r19802 r19810  
    275275ac_subdirs_all="$ac_subdirs_all packages/unac" 
    276276ac_subdirs_all="$ac_subdirs_all mg mgpp" 
    277 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ENABLE_ACCENTFOLD COMPAT32BITFLAGS JAVAC JAVA uudecode subdirs LIBOBJS LTLIBOBJS' 
     277ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ENABLE_ACCENTFOLD COMPAT32BITFLAGS subdirs LIBOBJS LTLIBOBJS' 
    278278ac_subst_files='' 
    279279 
     
    12471247 
    12481248 
    1249  
    1250  
    1251 if test "x$JAVAPREFIX" = x; then 
    1252         test "x$JAVAC" = x && for ac_prog in javac$EXEEXT 
    1253 do 
    1254   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1255 set dummy $ac_prog; ac_word=$2 
    1256 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1257 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1258 if test "${ac_cv_prog_JAVAC+set}" = set; then 
    1259   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1260 else 
    1261   if test -n "$JAVAC"; then 
    1262   ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test. 
    1263 else 
    1264 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1265 for as_dir in $PATH 
    1266 do 
    1267   IFS=$as_save_IFS 
    1268   test -z "$as_dir" && as_dir=. 
    1269   for ac_exec_ext in '' $ac_executable_extensions; do 
    1270   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1271     ac_cv_prog_JAVAC="$ac_prog" 
    1272     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1273     break 2 
    1274   fi 
    1275 done 
    1276 done 
    1277  
    1278 fi 
    1279 fi 
    1280 JAVAC=$ac_cv_prog_JAVAC 
    1281 if test -n "$JAVAC"; then 
    1282   echo "$as_me:$LINENO: result: $JAVAC" >&5 
    1283 echo "${ECHO_T}$JAVAC" >&6 
    1284 else 
    1285   echo "$as_me:$LINENO: result: no" >&5 
    1286 echo "${ECHO_T}no" >&6 
    1287 fi 
    1288  
    1289   test -n "$JAVAC" && break 
    1290 done 
    1291  
    1292 else 
    1293         test "x$JAVAC" = x && for ac_prog in javac$EXEEXT 
    1294 do 
    1295   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1296 set dummy $ac_prog; ac_word=$2 
    1297 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1298 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1299 if test "${ac_cv_prog_JAVAC+set}" = set; then 
    1300   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1301 else 
    1302   if test -n "$JAVAC"; then 
    1303   ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test. 
    1304 else 
    1305 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1306 for as_dir in $PATH 
    1307 do 
    1308   IFS=$as_save_IFS 
    1309   test -z "$as_dir" && as_dir=. 
    1310   for ac_exec_ext in '' $ac_executable_extensions; do 
    1311   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1312     ac_cv_prog_JAVAC="$ac_prog" 
    1313     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1314     break 2 
    1315   fi 
    1316 done 
    1317 done 
    1318  
    1319 fi 
    1320 fi 
    1321 JAVAC=$ac_cv_prog_JAVAC 
    1322 if test -n "$JAVAC"; then 
    1323   echo "$as_me:$LINENO: result: $JAVAC" >&5 
    1324 echo "${ECHO_T}$JAVAC" >&6 
    1325 else 
    1326   echo "$as_me:$LINENO: result: no" >&5 
    1327 echo "${ECHO_T}no" >&6 
    1328 fi 
    1329  
    1330   test -n "$JAVAC" && break 
    1331 done 
    1332 test -n "$JAVAC" || JAVAC="$JAVAPREFIX" 
    1333  
    1334 fi 
    1335 test "x$JAVAC" = x && { { echo "$as_me:$LINENO: error: no acceptable Java compiler found in \$PATH" >&5 
    1336 echo "$as_me: error: no acceptable Java compiler found in \$PATH" >&2;} 
    1337    { (exit 1); exit 1; }; } 
    1338  
    1339 echo "$as_me:$LINENO: checking if $JAVAC works" >&5 
    1340 echo $ECHO_N "checking if $JAVAC works... $ECHO_C" >&6 
    1341 if test "${ac_cv_prog_javac_works+set}" = set; then 
    1342   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1343 else 
    1344  
    1345 JAVA_TEST=Test.java 
    1346 CLASS_TEST=Test.class 
    1347 cat << \EOF > $JAVA_TEST 
    1348 /* #line 1348 "configure" */ 
    1349 public class Test { 
    1350 } 
    1351 EOF 
    1352 if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST' 
    1353   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    1354   (eval $ac_try) 2>&5 
    1355   ac_status=$? 
    1356   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1357   (exit $ac_status); }; } >/dev/null 2>&1; then 
    1358   ac_cv_prog_javac_works=yes 
    1359 else 
    1360   { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5 
    1361 echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;} 
    1362    { (exit 1); exit 1; }; } 
    1363   echo "configure: failed program was:" >&5 
    1364   cat $JAVA_TEST >&5 
    1365 fi 
    1366 rm -f $JAVA_TEST $CLASS_TEST 
    1367  
    1368 fi 
    1369 echo "$as_me:$LINENO: result: $ac_cv_prog_javac_works" >&5 
    1370 echo "${ECHO_T}$ac_cv_prog_javac_works" >&6 
    1371  
    1372  
    1373  
    1374 if test x$JAVAPREFIX = x; then 
    1375         test x$JAVA = x && for ac_prog in java$EXEEXT 
    1376 do 
    1377   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1378 set dummy $ac_prog; ac_word=$2 
    1379 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1380 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1381 if test "${ac_cv_prog_JAVA+set}" = set; then 
    1382   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1383 else 
    1384   if test -n "$JAVA"; then 
    1385   ac_cv_prog_JAVA="$JAVA" # Let the user override the test. 
    1386 else 
    1387 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1388 for as_dir in $PATH 
    1389 do 
    1390   IFS=$as_save_IFS 
    1391   test -z "$as_dir" && as_dir=. 
    1392   for ac_exec_ext in '' $ac_executable_extensions; do 
    1393   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1394     ac_cv_prog_JAVA="$ac_prog" 
    1395     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1396     break 2 
    1397   fi 
    1398 done 
    1399 done 
    1400  
    1401 fi 
    1402 fi 
    1403 JAVA=$ac_cv_prog_JAVA 
    1404 if test -n "$JAVA"; then 
    1405   echo "$as_me:$LINENO: result: $JAVA" >&5 
    1406 echo "${ECHO_T}$JAVA" >&6 
    1407 else 
    1408   echo "$as_me:$LINENO: result: no" >&5 
    1409 echo "${ECHO_T}no" >&6 
    1410 fi 
    1411  
    1412   test -n "$JAVA" && break 
    1413 done 
    1414  
    1415 else 
    1416         test x$JAVA = x && for ac_prog in java$EXEEXT 
    1417 do 
    1418   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1419 set dummy $ac_prog; ac_word=$2 
    1420 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1421 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1422 if test "${ac_cv_prog_JAVA+set}" = set; then 
    1423   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1424 else 
    1425   if test -n "$JAVA"; then 
    1426   ac_cv_prog_JAVA="$JAVA" # Let the user override the test. 
    1427 else 
    1428 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1429 for as_dir in $PATH 
    1430 do 
    1431   IFS=$as_save_IFS 
    1432   test -z "$as_dir" && as_dir=. 
    1433   for ac_exec_ext in '' $ac_executable_extensions; do 
    1434   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1435     ac_cv_prog_JAVA="$ac_prog" 
    1436     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1437     break 2 
    1438   fi 
    1439 done 
    1440 done 
    1441  
    1442 fi 
    1443 fi 
    1444 JAVA=$ac_cv_prog_JAVA 
    1445 if test -n "$JAVA"; then 
    1446   echo "$as_me:$LINENO: result: $JAVA" >&5 
    1447 echo "${ECHO_T}$JAVA" >&6 
    1448 else 
    1449   echo "$as_me:$LINENO: result: no" >&5 
    1450 echo "${ECHO_T}no" >&6 
    1451 fi 
    1452  
    1453   test -n "$JAVA" && break 
    1454 done 
    1455 test -n "$JAVA" || JAVA="$JAVAPREFIX" 
    1456  
    1457 fi 
    1458 test x$JAVA = x && { { echo "$as_me:$LINENO: error: no acceptable Java virtual machine found in \$PATH" >&5 
    1459 echo "$as_me: error: no acceptable Java virtual machine found in \$PATH" >&2;} 
    1460    { (exit 1); exit 1; }; } 
    1461  
    1462 # Extract the first word of "uudecode$EXEEXT", so it can be a program name with args. 
    1463 set dummy uudecode$EXEEXT; ac_word=$2 
    1464 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1465 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1466 if test "${ac_cv_prog_uudecode+set}" = set; then 
    1467   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1468 else 
    1469   if test -n "$uudecode"; then 
    1470   ac_cv_prog_uudecode="$uudecode" # Let the user override the test. 
    1471 else 
    1472 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1473 for as_dir in $PATH 
    1474 do 
    1475   IFS=$as_save_IFS 
    1476   test -z "$as_dir" && as_dir=. 
    1477   for ac_exec_ext in '' $ac_executable_extensions; do 
    1478   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1479     ac_cv_prog_uudecode="yes" 
    1480     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1481     break 2 
    1482   fi 
    1483 done 
    1484 done 
    1485  
    1486 fi 
    1487 fi 
    1488 uudecode=$ac_cv_prog_uudecode 
    1489 if test -n "$uudecode"; then 
    1490   echo "$as_me:$LINENO: result: $uudecode" >&5 
    1491 echo "${ECHO_T}$uudecode" >&6 
    1492 else 
    1493   echo "$as_me:$LINENO: result: no" >&5 
    1494 echo "${ECHO_T}no" >&6 
    1495 fi 
    1496  
    1497 if test x$uudecode = xyes; then 
    1498 echo "$as_me:$LINENO: checking if uudecode can decode base 64 file" >&5 
    1499 echo $ECHO_N "checking if uudecode can decode base 64 file... $ECHO_C" >&6 
    1500 if test "${ac_cv_prog_uudecode_base64+set}" = set; then 
    1501   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1502 else 
    1503  
    1504 cat << \EOF > Test.uue 
    1505 begin-base64 644 Test.class 
    1506 yv66vgADAC0AFQcAAgEABFRlc3QHAAQBABBqYXZhL2xhbmcvT2JqZWN0AQAE 
    1507 bWFpbgEAFihbTGphdmEvbGFuZy9TdHJpbmc7KVYBAARDb2RlAQAPTGluZU51 
    1508 bWJlclRhYmxlDAAKAAsBAARleGl0AQAEKEkpVgoADQAJBwAOAQAQamF2YS9s 
    1509 YW5nL1N5c3RlbQEABjxpbml0PgEAAygpVgwADwAQCgADABEBAApTb3VyY2VG 
    1510 aWxlAQAJVGVzdC5qYXZhACEAAQADAAAAAAACAAkABQAGAAEABwAAACEAAQAB 
    1511 AAAABQO4AAyxAAAAAQAIAAAACgACAAAACgAEAAsAAQAPABAAAQAHAAAAIQAB 
    1512 AAEAAAAFKrcAErEAAAABAAgAAAAKAAIAAAAEAAQABAABABMAAAACABQ= 
    1513 ==== 
    1514 EOF 
    1515 if uudecode$EXEEXT Test.uue; then 
    1516         ac_cv_prog_uudecode_base64=yes 
    1517 else 
    1518         echo "configure: 1518: uudecode had trouble decoding base 64 file 'Test.uue'" >&5 
    1519         echo "configure: failed file was:" >&5 
    1520         cat Test.uue >&5 
    1521         ac_cv_prog_uudecode_base64=no 
    1522 fi 
    1523 rm -f Test.uue 
    1524 fi 
    1525 echo "$as_me:$LINENO: result: $ac_cv_prog_uudecode_base64" >&5 
    1526 echo "${ECHO_T}$ac_cv_prog_uudecode_base64" >&6 
    1527 fi 
    1528 if test x$ac_cv_prog_uudecode_base64 != xyes; then 
    1529         rm -f Test.class 
    1530         { echo "$as_me:$LINENO: WARNING: I have to compile Test.class from scratch" >&5 
    1531 echo "$as_me: WARNING: I have to compile Test.class from scratch" >&2;} 
    1532         if test x$ac_cv_prog_javac_works = xno; then 
    1533                 { { echo "$as_me:$LINENO: error: Cannot compile java source. $JAVAC does not work properly" >&5 
    1534 echo "$as_me: error: Cannot compile java source. $JAVAC does not work properly" >&2;} 
    1535    { (exit 1); exit 1; }; } 
    1536         fi 
    1537         if test x$ac_cv_prog_javac_works = x; then 
    1538  
    1539 if test "x$JAVAPREFIX" = x; then 
    1540         test "x$JAVAC" = x && for ac_prog in javac$EXEEXT 
    1541 do 
    1542   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1543 set dummy $ac_prog; ac_word=$2 
    1544 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1545 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1546 if test "${ac_cv_prog_JAVAC+set}" = set; then 
    1547   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1548 else 
    1549   if test -n "$JAVAC"; then 
    1550   ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test. 
    1551 else 
    1552 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1553 for as_dir in $PATH 
    1554 do 
    1555   IFS=$as_save_IFS 
    1556   test -z "$as_dir" && as_dir=. 
    1557   for ac_exec_ext in '' $ac_executable_extensions; do 
    1558   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1559     ac_cv_prog_JAVAC="$ac_prog" 
    1560     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1561     break 2 
    1562   fi 
    1563 done 
    1564 done 
    1565  
    1566 fi 
    1567 fi 
    1568 JAVAC=$ac_cv_prog_JAVAC 
    1569 if test -n "$JAVAC"; then 
    1570   echo "$as_me:$LINENO: result: $JAVAC" >&5 
    1571 echo "${ECHO_T}$JAVAC" >&6 
    1572 else 
    1573   echo "$as_me:$LINENO: result: no" >&5 
    1574 echo "${ECHO_T}no" >&6 
    1575 fi 
    1576  
    1577   test -n "$JAVAC" && break 
    1578 done 
    1579  
    1580 else 
    1581         test "x$JAVAC" = x && for ac_prog in javac$EXEEXT 
    1582 do 
    1583   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1584 set dummy $ac_prog; ac_word=$2 
    1585 echo "$as_me:$LINENO: checking for $ac_word" >&5 
    1586 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1587 if test "${ac_cv_prog_JAVAC+set}" = set; then 
    1588   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1589 else 
    1590   if test -n "$JAVAC"; then 
    1591   ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test. 
    1592 else 
    1593 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    1594 for as_dir in $PATH 
    1595 do 
    1596   IFS=$as_save_IFS 
    1597   test -z "$as_dir" && as_dir=. 
    1598   for ac_exec_ext in '' $ac_executable_extensions; do 
    1599   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1600     ac_cv_prog_JAVAC="$ac_prog" 
    1601     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    1602     break 2 
    1603   fi 
    1604 done 
    1605 done 
    1606  
    1607 fi 
    1608 fi 
    1609 JAVAC=$ac_cv_prog_JAVAC 
    1610 if test -n "$JAVAC"; then 
    1611   echo "$as_me:$LINENO: result: $JAVAC" >&5 
    1612 echo "${ECHO_T}$JAVAC" >&6 
    1613 else 
    1614   echo "$as_me:$LINENO: result: no" >&5 
    1615 echo "${ECHO_T}no" >&6 
    1616 fi 
    1617  
    1618   test -n "$JAVAC" && break 
    1619 done 
    1620 test -n "$JAVAC" || JAVAC="$JAVAPREFIX" 
    1621  
    1622 fi 
    1623 test "x$JAVAC" = x && { { echo "$as_me:$LINENO: error: no acceptable Java compiler found in \$PATH" >&5 
    1624 echo "$as_me: error: no acceptable Java compiler found in \$PATH" >&2;} 
    1625    { (exit 1); exit 1; }; } 
    1626  
    1627 echo "$as_me:$LINENO: checking if $JAVAC works" >&5 
    1628 echo $ECHO_N "checking if $JAVAC works... $ECHO_C" >&6 
    1629 if test "${ac_cv_prog_javac_works+set}" = set; then 
    1630   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1631 else 
    1632  
    1633 JAVA_TEST=Test.java 
    1634 CLASS_TEST=Test.class 
    1635 cat << \EOF > $JAVA_TEST 
    1636 /* #line 1636 "configure" */ 
    1637 public class Test { 
    1638 } 
    1639 EOF 
    1640 if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST' 
    1641   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    1642   (eval $ac_try) 2>&5 
    1643   ac_status=$? 
    1644   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1645   (exit $ac_status); }; } >/dev/null 2>&1; then 
    1646   ac_cv_prog_javac_works=yes 
    1647 else 
    1648   { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5 
    1649 echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;} 
    1650    { (exit 1); exit 1; }; } 
    1651   echo "configure: failed program was:" >&5 
    1652   cat $JAVA_TEST >&5 
    1653 fi 
    1654 rm -f $JAVA_TEST $CLASS_TEST 
    1655  
    1656 fi 
    1657 echo "$as_me:$LINENO: result: $ac_cv_prog_javac_works" >&5 
    1658 echo "${ECHO_T}$ac_cv_prog_javac_works" >&6 
    1659  
    1660  
    1661         fi 
    1662 fi 
    1663 echo "$as_me:$LINENO: checking if $JAVA works" >&5 
    1664 echo $ECHO_N "checking if $JAVA works... $ECHO_C" >&6 
    1665 if test "${ac_cv_prog_java_works+set}" = set; then 
    1666   echo $ECHO_N "(cached) $ECHO_C" >&6 
    1667 else 
    1668  
    1669 JAVA_TEST=Test.java 
    1670 CLASS_TEST=Test.class 
    1671 TEST=Test 
    1672 cat << \EOF > $JAVA_TEST 
    1673 /* [#]line 1673 "configure" */ 
    1674 public class Test { 
    1675 public static void main (String args[]) { 
    1676         System.exit (0); 
    1677 } } 
    1678 EOF 
    1679 if test x$ac_cv_prog_uudecode_base64 != xyes; then 
    1680         if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST' 
    1681   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    1682   (eval $ac_try) 2>&5 
    1683   ac_status=$? 
    1684   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1685   (exit $ac_status); }; } && test -s $CLASS_TEST; then 
    1686                 : 
    1687         else 
    1688           echo "configure: failed program was:" >&5 
    1689           cat $JAVA_TEST >&5 
    1690           { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5 
    1691 echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;} 
    1692    { (exit 1); exit 1; }; } 
    1693         fi 
    1694 fi 
    1695 if { ac_try='$JAVA $JAVAFLAGS $TEST' 
    1696   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    1697   (eval $ac_try) 2>&5 
    1698   ac_status=$? 
    1699   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1700   (exit $ac_status); }; } >/dev/null 2>&1; then 
    1701   ac_cv_prog_java_works=yes 
    1702 else 
    1703   echo "configure: failed program was:" >&5 
    1704   cat $JAVA_TEST >&5 
    1705   { { echo "$as_me:$LINENO: error: The Java VM $JAVA failed (see config.log, check the CLASSPATH?)" >&5 
    1706 echo "$as_me: error: The Java VM $JAVA failed (see config.log, check the CLASSPATH?)" >&2;} 
    1707    { (exit 1); exit 1; }; } 
    1708 fi 
    1709 rm -fr $JAVA_TEST $CLASS_TEST Test.uue 
    1710  
    1711 fi 
    1712 echo "$as_me:$LINENO: result: $ac_cv_prog_java_works" >&5 
    1713 echo "${ECHO_T}$ac_cv_prog_java_works" >&6 
    1714  
    1715  
    1716  
     1249echo "***** CWD = " `pwd` 
     1250echo "***** PATH = $PATH" 
     1251echo "**** java: " `which java` 
     1252echo "***  javac:  " `which javac` 
     1253 
     1254#AC_PROG_JAVAC 
     1255#AC_PROG_JAVA 
    17171256 
    17181257 
     
    23971936s,@ENABLE_ACCENTFOLD@,$ENABLE_ACCENTFOLD,;t t 
    23981937s,@COMPAT32BITFLAGS@,$COMPAT32BITFLAGS,;t t 
    2399 s,@JAVAC@,$JAVAC,;t t 
    2400 s,@JAVA@,$JAVA,;t t 
    2401 s,@uudecode@,$uudecode,;t t 
    24021938s,@subdirs@,$subdirs,;t t 
    24031939s,@LIBOBJS@,$LIBOBJS,;t t 
  • indexers/trunk/configure.ac

    r19802 r19810  
    1414dnl Make sure Javac and Java are available 
    1515dnl 
    16 AC_PROG_JAVAC 
    17 AC_PROG_JAVA 
     16echo "***** CWD = " `pwd` 
     17echo "***** PATH = $PATH" 
     18echo "**** java: " `which java` 
     19echo "***  javac:  " `which javac` 
     20 
     21#AC_PROG_JAVAC 
     22#AC_PROG_JAVA 
    1823 
    1924dnl